package de.hdm_stuttgart.battlearena.Controller;

import de.hdm_stuttgart.battlearena.Controller.Utilities.SceneLoader;
import javafx.fxml.FXML;
import javafx.scene.layout.VBox;

public class PlayController {
    @FXML
    private VBox parent;
    private final SceneLoader sceneLoader = new SceneLoader();

    @FXML
    private void backButton() {
        switchScene("MainMenu");
    }

    @FXML
    private void localScene() {
        switchScene("LocalCreate");
    }

    @FXML
    private void multiplayerScene() {
        switchScene("Multiplayer");
    }

    private void switchScene(String name) {
        parent.getChildren().clear();
        parent.getChildren().add(sceneLoader.loadScene(name));
    }
}
