package de.hdm_stuttgart.battlearena.Controller.Utilities;
import javafx.scene.media.MediaPlayer;

public class MusicPlayerSingleton {
//    creating a singleton, so it can be stopped from other controller classes
    private static final MusicPlayerSingleton instance = new MusicPlayerSingleton();
    private MediaPlayer mediaPlayer;

    private MusicPlayerSingleton() {}

    public static MusicPlayerSingleton getInstance() {
        return instance;
    }

    public MediaPlayer getMediaPlayer() {
        return mediaPlayer;
    }

    public void setMediaPlayer(MediaPlayer mediaPlayer) {
        this.mediaPlayer = mediaPlayer;
    }
}

