package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.Utilities;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class HashGenerator {

    private static final Logger log = LogManager.getLogger(HashGenerator.class);

    public static String hashAndHex(String input) throws NoSuchAlgorithmException {
        //Generates SHA1 Hash from input string and converts bytes from hash to hexadecimal resulting in hexadecimal String
        MessageDigest sha1 = MessageDigest.getInstance("SHA1");
        byte[] sha1Hash = sha1.digest((input).getBytes());
        String result = "";
        for (int i=0; i < sha1Hash.length; i++) {
            result +=
                    Integer.toString( ( sha1Hash[i] & 0xff ) + 0x100, 16).substring( 1 );
        }
        return result;
    }


}
